POST /v2/videos/generations
Method: POSTEndpoint: /v2/videos/generations
Whether to optimize the prompt. Usually false. Because veo supports only English prompts, enable this if you want Chinese input converted automatically to English.
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
prompt
string
Required
model
enum<string>
Required
Enum Values:
veo3
veo3-fast
veo3-pro
veo3-pro-frames
// provider-specific example normalized for English documentation
veo2
veo2-fast
// provider-specific example normalized for English documentation
veo2-fast-frames
veo2-fast-components
veo2-pro
veo3-fast-frames
veo3.1
veo3.1-pro
aspect_ratio
enum<string>
Optional
Enum Values:
16:9
Landscape
9:16
Portrait
enhance_prompt
boolean
Optional
Whether to optimize the prompt. Usually false. Because veo supports only English prompts, enable this if you want Chinese input converted automatically to English.
enable_upsample
boolean
Optional
// provider-specific example normalized for English documentation
Example
{
"prompt"
:
"string"
,
"model"
:
"veo3"
,
"aspect_ratio"
:
"16:9"
,
"enhance_prompt"
:
true
,
"enable_upsample"
:
true
}Example Request
Shell
bash
curl --location --request POST '/v2/videos/generations' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"prompt": "string",
"model": "veo3",
"aspect_ratio": "16:9",
"enhance_prompt": true,
"enable_upsample": true
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"task_id": "f0aa213c-c09e-4e19-a0e5-c698fe48acf1"
}